Package org.silverpeas.components.almanach

## Class AlmanachWebController

- java.lang.Object
- - org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController
  - - org.silverpeas.core.web.mvc.webcomponent.WebComponentController<C>
    - - org.silverpeas.core.web.calendar.AbstractCalendarWebController<AlmanachWebRequestContext>
      - - org.silverpeas.components.almanach.AlmanachWebController

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.web.mvc.controller.ComponentSessionController`, `org.silverpeas.core.web.session.SessionCloseable`

      @WebComponentController("almanach")
      public class AlmanachWebController
      extends org.silverpeas.core.web.calendar.AbstractCalendarWebController<AlmanachWebRequestContext>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

      `context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AlmanachWebController​(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl, org.silverpeas.core.web.mvc.controller.ComponentContext componentContext)` | Standard Session Controller Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `beforeRequestProcessing​(AlmanachWebRequestContext context)` |
    `void` | `editOccurrence​(AlmanachWebRequestContext context)` | Asks for purposing a new event.
    `protected AlmanachTimeWindowViewContext` | `getCalendarTimeWindowContext()` |
    `void` | `home​(AlmanachWebRequestContext context)` | Prepares the rendering of the home page.
    `void` | `manageCalendarSubscriptions​(AlmanachWebRequestContext context)` | Asks for managing subscriptions of a calendar.
    `void` | `newEvent​(AlmanachWebRequestContext context)` | Asks for purposing a new event.
    `protected void` | `onInstantiation​(AlmanachWebRequestContext context)` |
    `void` | `portlet​(AlmanachWebRequestContext context)` | Prepares the rendering of the home page.
    `void` | `viewOccurrence​(AlmanachWebRequestContext context)` | Asks for purposing a new event.

    - ### Methods inherited from class org.silverpeas.core.web.calendar.AbstractCalendarWebController

      `getAttendeeSelectionParams, getUserParticipationSelectionParams, modifyAttendees, processNewEvent, processViewOccurrence, searchResult, view, viewParticipationOfUsers`

    - ### Methods inherited from class org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

      `addClipboardSelection, clipboardPasteDone, close, getClipboardErrorMessage, getClipboardExceptionError, getClipboardObjects, getClipboardSelectedObjects, getClipboardSize, getComponentAccessController, getComponentId, getComponentLabel, getComponentName, getComponentParameterValue, getComponentParameterValue, getComponentRootName, getComponentUrl, getHighestSilverpeasUserRole, getIcon, getLanguage, getLook, getMultilang, getOrganisationController, getPersonalization, getRSSUrl, getSelection, getSettings, getSilverpeasUserRoles, getSpaceId, getSpaceLabel, getString, getSubscriptionContext, getUrlEncodedParameter, getUserAccessLevel, getUserAvailComponentIds, getUserDetail, getUserDetail, getUserId, getUserManageableGroupIds, getUserManageableSpaceIds, getUserRoles, getZoneId, isAppInMaintenance, isGroupManager, isPasswordChangeAllowed, isSpaceInMaintenance, removeClipboardElement, setAppModeMaintenance, setClipboardSelectedElement, setComponentRootName, setSpaceModeMaintenance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlmanachWebController

          public AlmanachWebController​(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl,
                                       org.silverpeas.core.web.mvc.controller.ComponentContext componentContext)

      Standard Session Controller Constructor
      Parameters:
        `mainSessionCtrl` - The user's profile
        `componentContext` - The component's profile

  - ### Method Detail

    - #### getCalendarTimeWindowContext

          protected AlmanachTimeWindowViewContext getCalendarTimeWindowContext()

      Specified by:
        `getCalendarTimeWindowContext` in class `org.silverpeas.core.web.calendar.AbstractCalendarWebController<AlmanachWebRequestContext>`

    - #### onInstantiation

          protected void onInstantiation​(AlmanachWebRequestContext context)

      Specified by:
        `onInstantiation` in class `org.silverpeas.core.web.mvc.webcomponent.WebComponentController<AlmanachWebRequestContext>`

    - #### beforeRequestProcessing

          protected void beforeRequestProcessing​(AlmanachWebRequestContext context)

      Overrides:
        `beforeRequestProcessing` in class `org.silverpeas.core.web.mvc.webcomponent.WebComponentController<AlmanachWebRequestContext>`

    - #### home

          @GET
          @Path("Main")
          @Homepage
          @RedirectToInternalJsp("almanach.jsp")
          public void home​(AlmanachWebRequestContext context)

      Prepares the rendering of the home page.
      Parameters:
        `context` - the context of the incoming request.

    - #### portlet

          @GET
          @Path("portlet")
          @RedirectToInternalJsp("almanachPortlet.jsp")
          public void portlet​(AlmanachWebRequestContext context)

      Prepares the rendering of the home page.
      Parameters:
        `context` - the context of the incoming request.

    - #### manageCalendarSubscriptions

          @GET
          @Path("calendars/{id}/subscriptions/manage")
          @RedirectTo("{destination}")
          @LowestRoleAccess(ADMIN)
          public void manageCalendarSubscriptions​(AlmanachWebRequestContext context)

      Asks for managing subscriptions of a calendar. It redirects to the transversal subscription management.
      Parameters:
        `context` - the context of the incoming request.

    - #### newEvent

          @GET
          @Path("calendars/events/new")
          @RedirectToInternalJsp("almanachOccurrenceEdit.jsp")
          @LowestRoleAccess(PUBLISHER)
          public void newEvent​(AlmanachWebRequestContext context)

      Asks for purposing a new event. It renders an HTML page to input the content of a new event.
      Parameters:
        `context` - the context of the incoming request.

    - #### viewOccurrence

          @GET
          @Path("calendars/occurrences/{occurrenceId}")
          @NavigationStep(identifier="eventViewNavStepIdentifier")
          @RedirectToInternalJsp("almanachOccurrenceView.jsp")
          public void viewOccurrence​(AlmanachWebRequestContext context)

      Asks for purposing a new event. It renders an HTML page to input the content of a new event.
      Parameters:
        `context` - the context of the incoming request.

    - #### editOccurrence

          @GET
          @Path("calendars/occurrences/{occurrenceId}/edit")
          @RedirectToInternalJsp("almanachOccurrenceEdit.jsp")
          @LowestRoleAccess(PUBLISHER)
          public void editOccurrence​(AlmanachWebRequestContext context)

      Asks for purposing a new event. It renders an HTML page to input the content of a new event.
      Parameters:
        `context` - the context of the incoming request.